/*
 * This program seems to tell the rje system whether its a univac or hasp.
 * Gets compiled as part of the hasp make procedure. See /usr/hasp/.makefile
 * for details.       J.B.B.
 */
alias(s,t)
char *s,*t;
{
	register char *p,*px,*q;
	q=s;
	for (p=s;*p;p++)
	{
		if (*p=='/') q=p;
	};
	if ((p=scan("hasp",q)) || (p=scan("uvac",q)))
	{
		px=p+4;
		if (*px>='0' && *px<='9') px++;
		for (q=t;p<px;) *q++=(*p++);
		*q=0;
		return (0);
	};
	return (-1);
};
